<template>
    <lightning-card variant="narrow" icon-name="standard:opportunity">
        <h1 slot="title">Time Sheet</h1>
        <div slot="actions">
        </div>
        <lightning-tabset>
            <lightning-tab label="Timesheets" title="Submitted Timesheets">
                <b>Submitted Timesheets</b>

                <lightning-datatable key-field="id" hide-checkbox-column data={submittedTimesheets} columns={columns} onrowaction={handleRowAction}>
                </lightning-datatable>
            </lightning-tab>
            <lightning-tab label="Create" title="Create Timesheet">
                <div style="margin-left: 2%; margin-right: 2%;">
                    <div>
                        <lightning-combobox name="progress" label="Choose Timesheet period" value={selectedTimePeriod}
                            placeholder="Select Progress" options={getWeeks} onchange={handleChange}>
                        </lightning-combobox>
                    </div>
                    <div>
                        <template for:each={getDates} for:item="tsht">
                            <div key={tsht.label} style="margin-top: 1%;">
                                <c-time-sheet-create-item selectedts={tsht} oncurrentdatedata={handleCurrentdateRecs}>
                                </c-time-sheet-create-item>
                            </div>
                        </template>
                    </div>
                </div>
            </lightning-tab>
        </lightning-tabset>
        <div slot="footer">
            <lightning-button label="Submit" onclick={handleSubmit} variant="success"></lightning-button>
        </div>
    </lightning-card>
</template>